document.addEventListener('DOMContentLoaded', function () {
    function getQueryParam(name) {
        return new URLSearchParams(window.location.search).get(name);
    }

    function updateDate(newDate) {
        document.getElementById('ff-overlay').style.display = 'flex'; // Show overlay
        window.location.href = `?date=${newDate}`;
    }

    let currentDateStr = getQueryParam('date') || new Date().toISOString().split('T')[0];
    let currentDate = new Date(currentDateStr);

    document.getElementById('ffprevDate').addEventListener('click', function () {
        currentDate.setUTCDate(currentDate.getUTCDate() - 1);
        updateDate(currentDate.toISOString().split('T')[0]);
    });

    document.getElementById('ffnextDate').addEventListener('click', function () {
        currentDate.setUTCDate(currentDate.getUTCDate() + 1);
        updateDate(currentDate.toISOString().split('T')[0]);
    });

    window.addEventListener('load', function () {
        document.getElementById('ff-overlay').style.display = 'none'; // Hide overlay

        // Scroll to the table if the page URL contains ?date=
        if (window.location.search.includes('date=')) {
            const table = document.getElementById('forexFactoryTable');
            if (table) {
                table.scrollIntoView({ behavior: 'smooth' }); // Smooth scroll to table
            }
        }
    });

    document.querySelectorAll('.ff-tab-links li a').forEach(tab => {
        tab.addEventListener('click', function (event) {
            event.preventDefault();
            document.querySelectorAll('.ff-tab-content').forEach(content => content.classList.remove('active'));
            document.querySelector(tab.getAttribute('href')).classList.add('active');
        });
    });

    document.querySelector('.ff-tab-links li a').click();
});


//table tab links

document.addEventListener("DOMContentLoaded", function () {
    const tabs = document.querySelectorAll(".ff-tab-links li");

    tabs.forEach(tab => {
        tab.addEventListener("click", function () {
            tabs.forEach(t => t.classList.remove("active")); 
            this.classList.add("active"); 
        });
    });
});

//Tooltip

document.addEventListener("DOMContentLoaded", function () {
    const tooltips = document.querySelectorAll(".ff-tooltip");

    tooltips.forEach(tooltip => {
        tooltip.addEventListener("mouseenter", function () {
            this.classList.add("tooltip-visible");
        });

        tooltip.addEventListener("mouseleave", function () {
            this.classList.remove("tooltip-visible");
        });
    });
});


