<div class="forexfactory-events-table" id="forexFactoryTable">
        <div id="ff-overlay" style="display: none;">
    <div id="ff-spinner-container">
        <img src="<?php echo plugin_dir_url(dirname(__FILE__)) . 'assets/images/spinner.gif'; ?>"  />
    </div>
</div>

    <div class="ff-date-navigation">
        <button id="ffprevDate">&#9654;</button>
        <span id="currentDateDisplay" data-date="<?php echo esc_attr($current_date); ?>">
            <?php echo esc_html($current_date); ?>
        </span>
        <button id="ffnextDate">&#9664;</button>
    </div>

    <div class="ff-forex-tabs">
        <ul class="ff-tab-links">
            <?php 
            $first = true; 
            foreach (["forex" => "فارکس", "crypto" => "کریپتو", "metal" => "فلزات", "energy" => "انرژی"] as $key => $label) :
                $icon_path = plugin_dir_url(dirname(__FILE__)) . "assets/images/{$key}.webp";
            ?>
                <li class="<?php echo $first ? 'active' : ''; ?>">
                    <a href="#<?php echo $key; ?>">
                        <img src="<?php echo esc_url($icon_path); ?>" alt="<?php echo esc_attr($label); ?>" 
                             style="width: 20px; height: 20px; vertical-align: middle; margin-left: 5px;">
                        <?php echo $label; ?>
                    </a>
                </li>
            <?php 
            $first = false; 
            endforeach; 
            ?>
        </ul>

        <?php 
       if (!is_array($data)) {
    if ($data === 'authentication_error') {
        echo '<p style="color: red; text-align: center;">خطا در احراز هویت. لطفاً نام کاربری و رمز عبور خود را بررسی کنید.</p>';
    } elseif ($data === 'no_subscription') {
        echo '<p style="color: red; text-align: center;">شما اشتراک فعال ندارید. لطفاً اشتراک خود را تمدید کنید.</p>';
    } else {
        echo '<p style="color: red; text-align: center;">خطای نامشخصی رخ داده است.</p>';
    }
    return; // Stop further execution to prevent table rendering
}
// Sort events by time 
usort($data, function($a, $b) {
    return strtotime($a["time"]) - strtotime($b["time"]);
});

        ?>

        <?php foreach (["forex", "crypto", "metal", "energy"] as $key) : ?>
            <div id="<?php echo $key; ?>" class="ff-tab-content">
                <table>
                    <thead>
                        <tr class="ff-table-items">
                            <th>تاریخ</th>
                            <th>زمان</th>
                            <th>ارز</th>
                            <th>تاثیر</th>
                            <th>فعلی</th>
                            <th>پیشبینی</th>
                            <th>قبلی</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php 
                        $last_date_displayed = null;
                        $data_found = false;
                        
                        foreach ($data as $event) :
                            
                            if ($event['forexcalendar_currency']['market'] !== $key && empty($event["impact_{$key}"])) continue;
                            
                            $impact = $event["impact_{$key}"] ?? ($event["impact"] ?? "-");

                            $impact_texts = ["low" => "کم", "mid" => "متوسط", "high" => "زیاد"];
                            $impact_fa = $impact_texts[$impact] ?? "-";

                            $nameFa = $event["forexcalendar_forexevent"]["nameFa"] ?? "";
                            $impact_message = $impact !== "-" ? "$nameFa - " . ucfirst($impact) : "-";
                            $previus_value = $event["previus"] ?? "-";
                            $revised_value = $event["revised"] ?? null;
                            $display_value = $revised_value ?: $previus_value;
                            $tooltip_text = $revised_value ? "از مقدار {$previus_value} اصلاح شد" : "";

                            $currency_symbol = $event["forexcalendar_currency"]["symbol"] ?? "-";
                            $currency_name = $event["forexcalendar_currency"]["name"] ?? "-";

                            $event_date = date("Y-m-d", strtotime($event["date"]));
                            $date_display = ($event_date !== $last_date_displayed) ? $event_date : "";
                            $last_date_displayed = $event_date;

                            $data_found = true;
                        ?>
                            <tr>
                                <td><?php echo $date_display; ?></td>
                                <td>
                              <span class="ff-tooltip" data-tooltip="تهران">
                              <?php echo date("H:i", strtotime($event["time"])); ?>
                              </span>
                               </td>

                                <td>
                                    <span class="ff-tooltip" data-tooltip="<?php echo esc_attr($currency_name); ?>">
                                        <?php echo esc_html($currency_symbol); ?>
                                    </span>
                                </td>
                                <td>
                                    <?php if ($impact !== "-") : ?>
                                        <span class="ff-tooltip" data-tooltip="<?php echo esc_attr($impact_fa); ?>">
                                            <img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)) . "assets/images/impact-{$key}-{$impact}.webp"); ?>" 
                                                 alt="<?php echo esc_attr($impact_fa); ?>">
                                        </span>
                                        <?php $nameEn = $event['forexcalendar_forexevent']['name'] ?? ''; ?>
                                        <span class="ff-tooltip" data-tooltip="<?php echo esc_attr($nameEn); ?>" style="margin-left: 5px;">
                                            <?php echo esc_html($nameFa); ?>
                                        </span>
                                    <?php else : ?>
                                        -
                                    <?php endif; ?>
                                </td>
                                <td><?php echo $event["actual"] ?: "-"; ?></td>
                                <td><?php echo $event["forecast"] ?: "-"; ?></td>
                                <td>
                                    <?php if ($revised_value) : ?>
                                        <img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)) . "assets/images/revised.webp"); ?>" 
                                             style="width: 8px; height: 8px; vertical-align: middle; margin-left: 5px;">
                                    <?php endif; ?>
                                    <?php if ($tooltip_text) : ?>
                                <span class="ff-tooltip" data-tooltip="<?php echo esc_attr($tooltip_text); ?>">
                                <?php echo $display_value; ?>
                                </span>
                                    <?php else : ?>
                                <span><?php echo $display_value; ?></span>
                                <?php endif; ?>

                                </td>
                            </tr>
                        <?php endforeach; ?>

                        <?php if (!$data_found) : ?>
                            <tr>
                                <td colspan="7" style="text-align: center;">هیچ داده‌ای برای این تاریخ یافت نشد.</td>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>
        <?php endforeach; ?>
    </div>
</div>
